<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Hardline/Scripts/3_game/dayzexpansion_hardline/systems/hardline/expansionhardlineitemdata.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d78/a01427_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionhardlineitemdata.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../db/d78/a01427.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionHardlineItemData.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">//! Legacy, settings v1</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../db/da1/a05189.html">   14</a></span><span class="comment"></span><span class="keyword">class </span><a class="code hl_class" href="../../db/da1/a05189.html">ExpansionHardlineItemData</a></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>{</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../db/da1/a05189.html#a37cae2e5f302f69a99c26584d2dccc53">   16</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../db/da1/a05189.html#a37cae2e5f302f69a99c26584d2dccc53">ClassName</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../db/da1/a05189.html#afd5c9806039510aec52b36383a9de52b">   17</a></span>    <a class="code hl_enumeration" href="../../d4/d3c/a01418.html#a182896c3c414084d7214871d2338b7f5">ExpansionHardlineItemRarity</a> <a class="code hl_variable" href="../../db/da1/a05189.html#afd5c9806039510aec52b36383a9de52b">Rarity</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../db/da1/a05189.html#a9e0bebeff09f59f015aaf3ff932e94d4">   19</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/da1/a05189.html#a9e0bebeff09f59f015aaf3ff932e94d4">SetType</a>(<span class="keywordtype">string</span> type)</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_variable" href="../../db/da1/a05189.html#a37cae2e5f302f69a99c26584d2dccc53">ClassName</a> = type;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../db/da1/a05189.html#ae34e14cd137e4e61908878b549ca9b1c">   24</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../db/da1/a05189.html#ae34e14cd137e4e61908878b549ca9b1c">GetType</a>()</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../db/da1/a05189.html#a37cae2e5f302f69a99c26584d2dccc53">ClassName</a>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../db/da1/a05189.html#af34b4b2f1985c8214e5b0c485fab0af3">   29</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/da1/a05189.html#af34b4b2f1985c8214e5b0c485fab0af3">SetRatity</a>(<a class="code hl_enumeration" href="../../d4/d3c/a01418.html#a182896c3c414084d7214871d2338b7f5">ExpansionHardlineItemRarity</a> rarity)</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_variable" href="../../db/da1/a05189.html#afd5c9806039510aec52b36383a9de52b">Rarity</a> = rarity;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../db/da1/a05189.html#a29249ffdf0a9be1334b4b6eacd478d9e">   34</a></span>    <a class="code hl_enumeration" href="../../d4/d3c/a01418.html#a182896c3c414084d7214871d2338b7f5">ExpansionHardlineItemRarity</a> <a class="code hl_function" href="../../db/da1/a05189.html#a29249ffdf0a9be1334b4b6eacd478d9e">GetRarity</a>()</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../db/da1/a05189.html#afd5c9806039510aec52b36383a9de52b">Rarity</a>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>};</div>
<div class="ttc" id="aa01418_html_a182896c3c414084d7214871d2338b7f5"><div class="ttname"><a href="../../d4/d3c/a01418.html#a182896c3c414084d7214871d2338b7f5">ExpansionHardlineItemRarity</a></div><div class="ttdeci">ExpansionHardlineItemRarity</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d3c/a01418_source.html#l00013">dayzexpansion_hardline_enums.c:14</a></div></div>
<div class="ttc" id="aa05189_html"><div class="ttname"><a href="../../db/da1/a05189.html">ExpansionHardlineItemData</a></div><div class="ttdoc">Legacy, settings v1.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d78/a01427_source.html#l00014">expansionhardlineitemdata.c:15</a></div></div>
<div class="ttc" id="aa05189_html_a29249ffdf0a9be1334b4b6eacd478d9e"><div class="ttname"><a href="../../db/da1/a05189.html#a29249ffdf0a9be1334b4b6eacd478d9e">ExpansionHardlineItemData::GetRarity</a></div><div class="ttdeci">ExpansionHardlineItemRarity GetRarity()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d78/a01427_source.html#l00034">expansionhardlineitemdata.c:34</a></div></div>
<div class="ttc" id="aa05189_html_a37cae2e5f302f69a99c26584d2dccc53"><div class="ttname"><a href="../../db/da1/a05189.html#a37cae2e5f302f69a99c26584d2dccc53">ExpansionHardlineItemData::ClassName</a></div><div class="ttdeci">string ClassName</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d78/a01427_source.html#l00016">expansionhardlineitemdata.c:16</a></div></div>
<div class="ttc" id="aa05189_html_a9e0bebeff09f59f015aaf3ff932e94d4"><div class="ttname"><a href="../../db/da1/a05189.html#a9e0bebeff09f59f015aaf3ff932e94d4">ExpansionHardlineItemData::SetType</a></div><div class="ttdeci">void SetType(string type)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d78/a01427_source.html#l00019">expansionhardlineitemdata.c:19</a></div></div>
<div class="ttc" id="aa05189_html_ae34e14cd137e4e61908878b549ca9b1c"><div class="ttname"><a href="../../db/da1/a05189.html#ae34e14cd137e4e61908878b549ca9b1c">ExpansionHardlineItemData::GetType</a></div><div class="ttdeci">string GetType()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d78/a01427_source.html#l00024">expansionhardlineitemdata.c:24</a></div></div>
<div class="ttc" id="aa05189_html_af34b4b2f1985c8214e5b0c485fab0af3"><div class="ttname"><a href="../../db/da1/a05189.html#af34b4b2f1985c8214e5b0c485fab0af3">ExpansionHardlineItemData::SetRatity</a></div><div class="ttdeci">void SetRatity(ExpansionHardlineItemRarity rarity)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d78/a01427_source.html#l00029">expansionhardlineitemdata.c:29</a></div></div>
<div class="ttc" id="aa05189_html_afd5c9806039510aec52b36383a9de52b"><div class="ttname"><a href="../../db/da1/a05189.html#afd5c9806039510aec52b36383a9de52b">ExpansionHardlineItemData::Rarity</a></div><div class="ttdeci">ExpansionHardlineItemRarity Rarity</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d78/a01427_source.html#l00017">expansionhardlineitemdata.c:17</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_8f89211ef9a4afdd3d12a94e1d54a2ba.html">Hardline</a></li><li class="navelem"><a class="el" href="../../dir_d6262d0b66982b5ff6377647c75ed4bb.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_d73f4ce72b74bdb90bc663399ab0107a.html">3_game</a></li><li class="navelem"><a class="el" href="../../dir_eee39437cd87d591882842da5adfe2f9.html">dayzexpansion_hardline</a></li><li class="navelem"><a class="el" href="../../dir_cd0f90d441c69fd5cd53de873c70605e.html">systems</a></li><li class="navelem"><a class="el" href="../../dir_584634d0b7b7c97a1af9c91585f5f237.html">hardline</a></li><li class="navelem"><a class="el" href="../../db/d78/a01427.html">expansionhardlineitemdata.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
